> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://docs.phonic.ai/api-reference/external-storage-policies/delete/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.phonic.ai/_mcp/server. # Delete DELETE https://api.phonic.ai/v1/external_storage_policies/{nameOrId} Deletes an external storage policy by name or ID. The policy must not be referenced by any agent. Reference: https://docs.phonic.ai/api-reference/external-storage-policies/delete ## Authentication - `Authorization` header (bearer token, required) — Bearer authentication header of the form `Bearer `. Manage your API keys [here](https://phonic.co/api-keys). ## Request ### Path parameters - `nameOrId` (string, required) — The name or the ID of the external storage policy to delete. ### Query parameters - `project` (string, optional, default: main) — The name of the project containing the external storage policy. Only used when `nameOrId` is a name. ## Response ### 200 Success response - `success` (boolean, required) — Whether the external storage policy was deleted successfully. ## Errors ### 401 Unauthorized Error Unauthorized (authentication missing or invalid) - `error` (BasicErrorError, optional) ### 403 Forbidden Error Forbidden (resource belongs to a different organization) - `error` (BasicErrorError, optional) ### 404 Not Found Error External storage policy not found - `error` (BasicErrorError, optional) ### 409 Conflict Error External storage policy is still attached to one or more agents - `error` (BasicErrorError, optional) ### 500 Internal Server Error Internal server error - `error` (BasicErrorError, optional) ## Types ### BasicErrorError - `message` (string, required) — Error message - `code` (string, optional) — Error code ## Examples **Response** ```json { "success": true } ``` **SDK Code** ```python Delete external storage policy response import requests url = "https://api.phonic.ai/v1/external_storage_policies/nameOrId" querystring = {"project":"main"} headers = {"Authorization": "Bearer "} response = requests.delete(url, headers=headers, params=querystring) print(response.json()) ``` ```javascript Delete external storage policy response const url = 'https://api.phonic.ai/v1/external_storage_policies/nameOrId?project=main'; const options = {method: 'DELETE', headers: {Authorization: 'Bearer '}}; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go Delete external storage policy response package main import ( "fmt" "net/http" "io" ) func main() { url := "https://api.phonic.ai/v1/external_storage_policies/nameOrId?project=main" req, _ := http.NewRequest("DELETE", url, nil) req.Header.Add("Authorization", "Bearer ") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby Delete external storage policy response require 'uri' require 'net/http' url = URI("https://api.phonic.ai/v1/external_storage_policies/nameOrId?project=main") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Delete.new(url) request["Authorization"] = 'Bearer ' response = http.request(request) puts response.read_body ``` ```java Delete external storage policy response import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.delete("https://api.phonic.ai/v1/external_storage_policies/nameOrId?project=main") .header("Authorization", "Bearer ") .asString(); ``` ```php Delete external storage policy response request('DELETE', 'https://api.phonic.ai/v1/external_storage_policies/nameOrId?project=main', [ 'headers' => [ 'Authorization' => 'Bearer ', ], ]); echo $response->getBody(); ``` ```csharp Delete external storage policy response using RestSharp; var client = new RestClient("https://api.phonic.ai/v1/external_storage_policies/nameOrId?project=main"); var request = new RestRequest(Method.DELETE); request.AddHeader("Authorization", "Bearer "); IRestResponse response = client.Execute(request); ``` ```swift Delete external storage policy response import Foundation let headers = ["Authorization": "Bearer "] let request = NSMutableURLRequest(url: NSURL(string: "https://api.phonic.ai/v1/external_storage_policies/nameOrId?project=main")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "DELETE" request.allHTTPHeaderFields = headers let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```